import cv2 
import os 

# Read the video from specified path 

def generate_frames(video_file):
    frames = []

    cam = cv2.VideoCapture(video_file) 

    try: 
        
        # creating a folder named data 
        if not os.path.exists('data'): 
            os.makedirs('data') 

    # if not created then raise error 
    except OSError: 
        print ('Error: Creating directory of data') 

    # frame 
    currentframe = 0

    print("Generating frames from video...")
    while(True): 
        
        # reading from frame 
        ret,frame = cam.read() 

        if ret: 
            # if video is still left continue creating images 
            #name = './data/frame' + str(currentframe) + '.jpg'

            # writing the extracted images 
            #cv2.imwrite(name, frame) 
            frames.append(frame)

            # increasing counter so that it will 
            # show how many frames are created 
            currentframe += 1
        else: 
            break

    print(currentframe,"frames created...")
    # Release all space and windows once done 
    return frames 
    cam.release() 
    cv2.destroyAllWindows() 
