import numpy as np


def calculate_stability(feature_points_before, feature_points_after):
    # Calculate displacement vectors for each feature point
    displacements = np.linalg.norm(feature_points_after - feature_points_before, axis=1)

    # Calculate stability metric (e.g., average displacement)
    stability = np.mean(displacements)

    return stability